<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.12
Name: [4] Rozpoznanie choroby zawodowej
Description: Szablon CDA dla rozpoznania choroby zawodowej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000">
   <title>[4] Rozpoznanie choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]"
         id="tmp-r-1460ea85-3600-48f7-a390-5d0696e159be">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']"
         id="tmp-r-d0dd9cea-7e2b-4737-85b8-e185bec14cd6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']])&gt;=1 and not(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']"
         id="tmp-r-1e922792-a9bf-49bc-8f68-e9f416c08c49">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.12'">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.12'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]"
         id="tmp-r-1fd55406-4f22-47d4-9c3a-798529c8b960">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:effetiveTime)&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:effetiveTime występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']"
         id="tmp-r-3103e7e5-b94c-497c-87cc-7381559b7ae7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.1.16')">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.1.16'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="@code">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="@displayName">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:text
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:text"
         id="tmp-r-74bc176d-a7b9-4223-a1a9-bc1bf0cf4f7a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:reference jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:text/hl7:reference
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:text/hl7:reference"
         id="tmp-r-f4e735c3-fb56-4596-a5de-7982d146292e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="@value">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaOccupationalDiseaseDiagnosisEntry): 
                                Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                            </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:effetiveTime
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:effetiveTime"
         id="tmp-r-6bb6cb5e-e83a-416d-8fcd-3ef8f8405618">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2015-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
